Bug 966498 - Change sensitivity of widgets recursively
Change sensitivity of widgets recursively
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.4
Unspecified Unspecified
medium Severity medium
: ---
: 3.5.0
Assigned To: Ryan Barry
bugs@ovirt.org
node
:
Depends On:
Blocks: 966343 980783
  Show dependency treegraph
 
Reported: 2013-05-23 07:24 EDT by Fabian Deutsch
Modified: 2016-02-10 14:39 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-10 16:38:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2013-05-23 07:24:09 EDT
Description of problem:
The sensitivity (enabled or disabled / user can input a value or not) can only be changed on one widget at a time.
It would be nice if this can be done recirsively.
That way we could say page.disable() if we want to disable a whole container.
This needs to be implemented in the widget abstraction ui/__init__.py
Comment 1 Sandro Bonazzola 2014-03-04 04:23:28 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.
Comment 2 Itamar Heim 2014-08-10 16:38:40 EDT
Closing old bugs. If this issue is still relevant/important in current
version, please re-open the bug.
Assuming we'll be removing all our own gui logic in next-gen

Note You need to log in before you can comment on or make changes to this bug.